
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("business_command")]
    public class BusinessCommand
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 指令编码
        /// </summary>
        [Column("command_no")]
        public string commandNo { get; set; }

        /// <summary>
        /// 指令类型
        /// </summary>
        [Column("command_type")]
        public int? commandType { get; set; }

        /// <summary>
        /// 开始站台
        /// </summary>
        [Column("start_site_id")]
        public Guid? startSiteId { get; set; }

        /// <summary>
        /// 下个站台
        /// </summary>
        [Column("next_site_id")]
        public Guid? nextSiteId { get; set; }

        /// <summary>
        /// 操作时间
        /// </summary>
        [Column("optdate")]
        public DateTime? optdate { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }

        [Column("line_id")]
        public Guid? lineId { get; set; }
    }
}

